package ru.yandex.autotests.directapi.darkside.model.bslogs.clientdata;

import com.google.gson.annotations.SerializedName;

public class MdsMeta {

    public static final String GROUP_ID = "group-id";
    public static final String IMAGE_NAME = "imagename";
    public static final String SIZES = "sizes";

    @SerializedName(GROUP_ID)
    private Integer groupId;

    @SerializedName(IMAGE_NAME)
    private String imageName;

    @SerializedName(SIZES)
    private ImageSizeDescriptions imageSizeDescriptions;

    public Integer getGroupId() {
        return groupId;
    }

    public void setGroupId(Integer groupId) {
        this.groupId = groupId;
    }

    public MdsMeta withGroupId(Integer groupId) {
        this.groupId = groupId;
        return this;
    }

    public String getImageName() {
        return imageName;
    }

    public void setImageName(String imageName) {
        this.imageName = imageName;
    }

    public MdsMeta withImageName(String imageName) {
        this.imageName = imageName;
        return this;
    }

    public ImageSizeDescriptions getImageSizeDescriptions() {
        return imageSizeDescriptions;
    }

    public void setImageSizeDescriptions(ImageSizeDescriptions imageSizeDescriptions) {
        this.imageSizeDescriptions = imageSizeDescriptions;
    }

    public MdsMeta withImageSizeDescriptions(ImageSizeDescriptions imageSizeDescriptions) {
        this.imageSizeDescriptions = imageSizeDescriptions;
        return this;
    }

}
